#include<bits/stdc++.h>
using namespace std;
int N, Q;
int broj, k, medijana;
int main(){

    cin >> N >> Q;

    int A[N], B[Q];

    for(int i=0; i<N; i++) {
        cin >> A[i];
    }

    for(int i=0; i<Q; i++){
        cin >> B[i];
    }

    for(int i=0; i<N; i++) {
            for(int j=i+1; j<N; j++) {
                if(A[ j ] < A [ i ] ) {
                    int b=A[ i ];
                    A[ i ]=A[ j ];
                    A[ j ]=b;
                }
            }
        }

        for(int i=0; i<Q; i++){

            for(int j=0; j<N; j++){
                if(A[j]==B[i]){
                    k=j;
                }
            }

            medijana=N/2;

            if(B[i]==medijana) broj=0;
            else {
                broj=abs(medijana-k);
            }

            cout << broj << endl;
        }

    return 0;
}